---
apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: vector
  namespace: argocd
  finalizers:
    - resources-finalizer.argocd.argoproj.io
spec:
  project: obs
  source:
    repoURL: 'https://gitlab.com/ers.net.ru/infra.git'
    targetRevision: main
    path: "argocd/obs/vector"
  destination:
    name: in-cluster
    namespace: obs-vector
  syncPolicy:
    syncOptions:
      - CreateNamespace=true